function [cell, maxt_list]=ReplaceMissingTimeToNan(cell, maxt_list)

[max_id, ~,~]=size(cell);

for id=1:max_id
    len=maxt_list(id);
    for t=1:len
        if cell(id,t,1)==0
            cell(id,t,:)=nan;
        end
    end
    
    tmp=[];
    tmp=cell(id,1:len,:);
    if sum(isnan(tmp))>0
        cell(id,1:len,:)=NaN;
        maxt_list(id)=0;
    end

end



end
